#include "configuration.h"
#include "utils.h"

Configuration * configuration_default_instance = NULL;

Configuration *
configuration_get_default () {
  if (configuration_default_instance == NULL) {
    configuration_default_instance = malloc0 (sizeof (Configuration));
  }
  return configuration_default_instance;
}

void
configuration_set_default (Configuration * cfg) {
  configuration_default_instance = cfg;
}

void
configuration_set_default0 (Configuration * cfg) {
  auto old = configuration_default_instance;
  configuration_default_instance = cfg;
  free (old);
}

void
configuration_free_default () {
  free (configuration_default_instance);
}
