#pragma once

#include "defs.h"

CG_BEGIN_DEFS

typedef struct Configuration {
  int tmp;
  str_t in_file_path;
  str_t out_file_path;
} Configuration;

typedef enum ConfigurationParam {
  CONFIG_PARAM_INVALID,

  CONFIG_PARAM_LAST
} ConfigurationParam;

Configuration *
configuration_get_default ();

void
configuration_set_default (Configuration* cfg);

void
configuration_free_default ();

CG_END_DEFS
